Description

I would like to request the ability to use the Z and M values to render 3D features. Use case would be using Z and M values on a point to

display a cylinder that starts at the Z value and extends down (or up) by the M value. Or displaying 3D lines based on their Z value at

vertex, much like the options available in Qgis2threejs. Similar approach could be being able to use the attributes of a feature to identify

the start and end elevation to display points or lines in much the same way.

History

#1 - 2019-05-20 08:15 AM - Saber Razmjooei

You should be able to render lines with Z values in 3d:

https://qgis.org/en/site/forusers/visualchangelog34/#d-features

#2 - 2019-05-20 03:03 PM - Tyler Veinot

The example you shown only has the lines overlaid onto a DEM surface and the lines take on the Z value where they meet the surface. What I am

requesting is the ability to render the line by Z value at each vertex along the line so you can see how the lines move below the surface like buried

infrastructure piping or overhead lines etc... Currently the 3D viewer will either extrude the lines displaying them like a wall or it will render the whole line at

one elevation; there seems to be no way to show the lines starting at XYZ and ending at a different XYZ having a slope.

#3 - 2019-05-20 05:13 PM - Saber Razmjooei

- File Screenshot_20190520_161125.png added

You need to select the attitude clamping as absolute.

See also the vertex editor, where the Z values are read from.

#4 - 2019-05-21 07:25 AM - Saber Razmjooei

- Status changed from Open to Feedback
